Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.faces.render
Class RenderKitFactory

    java.lang.Object
      javax.faces.render.RenderKitFactory

public abstract class RenderKitFactory
extends java.lang.Object

Version:
  $Revision: 166994 $ $Date: 2004-07-01 18:12:40 -0400 (Thu, 01 Jul 2004) $
Author:
  Manfred Geiler (latest modification by $Author: mwessendorf $)

Field Summary
`static java.lang.String` | `HTML_BASIC_RENDER_KIT`

Constructor Summary
`RenderKitFactory()`

Method Summary
`abstract void` | `addRenderKit(java.lang.String renderKitId, RenderKit renderKit)`
`abstract RenderKit` | `getRenderKit(FacesContext context, java.lang.String renderKitId)`
`abstract java.util.Iterator` | `getRenderKitIds()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HTML_BASIC_RENDER_KIT

    public static final java.lang.String HTML_BASIC_RENDER_KIT

See Also:
  Constant Field Values

Constructor Detail

### RenderKitFactory

    public RenderKitFactory()

Method Detail

### addRenderKit

    public abstract void addRenderKit(java.lang.String renderKitId,
                                      RenderKit renderKit)

### getRenderKit

    public abstract RenderKit getRenderKit(FacesContext context,
                                           java.lang.String renderKitId)

### getRenderKitIds

    public abstract java.util.Iterator getRenderKitIds()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD